<script>
export default {
  props: ['title'],
  data: () => ({}),
  mounted() {},
  computed: {},
  methods: {},
}
</script>

<template> 
  <div class="">
    <div class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"></div>
    <div class="fixed inset-0 z-10 overflow-y-auto">
      <!-- <div class="flex min-h-full sm:justify-center justify-stretch sm:py-3 items-start"> -->
      <div class="mx-auto  sm:max-w-md min-h-full sm:py-3">
        <PageWithHeader :title="title" @close="$emit('close')">
    
          <div class="mb-0">
            <slot></slot>
          </div>
        </PageWithHeader>

      </div> 
    </div>
  </div>
</template>

